Package org.eclipse.emf.cdo.eresource.impl

# Class CDOResourceFactoryImpl

java.lang.Object
org.eclipse.emf.cdo.eresource.impl.CDOResourceFactoryImpl

All Implemented Interfaces:
  `CDOResourceFactory`, `Resource.Factory`

public class CDOResourceFactoryImpl extends Object implements CDOResourceFactory
Creates default `CDOResource` instances.

Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOResourceFactoryImpl.ResourceSetClassNameProvider`
Provides additional class names of `resource set` implementations to customize the stack inspection in `isGetResource()`.

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`Resource.Factory.Descriptor, Resource.Factory.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOResourceFactory`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`CDOResourceFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected CDOResourceImpl`
`createCDOResource(URI uri)`
`Resource`
`createResource(URI uri)`
`Set<String>`
`getResourceSetClassNames()`
`protected boolean`
`isGetResource()`
TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final CDOResourceFactory INSTANCE

Since:
  4.0

## Constructor Details

### CDOResourceFactoryImpl

public CDOResourceFactoryImpl()

## Method Details

### getResourceSetClassNames

public Set<String> getResourceSetClassNames()

Since:
  4.2

### createResource

public Resource createResource(URI uri)

Specified by:
  `createResource` in interface `Resource.Factory`

### createCDOResource

protected CDOResourceImpl createCDOResource(URI uri)

Since:
  4.0

### isGetResource

protected boolean isGetResource()
TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!

Since:
  3.0